import { Route, Switch, Redirect } from "react-router-dom";
import Portfolio from "../../pages/portfolio/Portfolio";
import Login from "../../pages/auth/Login";
import Register from "../../pages/auth/Register";

function AppRoute() {
  return (
    <div>
      <Switch>
        {/* <Route
          exact
          path={`${process.env.PUBLIC_URL}/`}
          component={Login}
        /> */}
        <Route path={`${process.env.PUBLIC_URL}/login`} component={Login} />
        <Route
          path={`${process.env.PUBLIC_URL}/register`}
          component={Register}
        />
        <Route path={`${process.env.PUBLIC_URL}/`}>
          <Redirect to={`${process.env.PUBLIC_URL}/login`} />
        </Route>
      </Switch>
    </div>
  );
}

export default AppRoute;
